% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/sf_mesh.R
\name{fm_as_sfc}
\alias{fm_as_sfc}
\alias{fm_as_sfc.inla.mesh}
\alias{fm_as_sfc.fm_mesh_2d}
\alias{fm_as_sfc.inla.mesh.segment}
\alias{fm_as_sfc.fm_segm}
\alias{fm_as_sfc.sfc}
\alias{fm_as_sfc.sf}
\title{Conversion methods from mesh related objects to sfc}
\usage{
fm_as_sfc(x, ...)

\method{fm_as_sfc}{inla.mesh}(x, ..., multi = FALSE)

\method{fm_as_sfc}{fm_mesh_2d}(x, ..., multi = FALSE)

\method{fm_as_sfc}{inla.mesh.segment}(x, ..., multi = FALSE)

\method{fm_as_sfc}{fm_segm}(x, ..., multi = FALSE)

\method{fm_as_sfc}{sfc}(x, ...)

\method{fm_as_sfc}{sf}(x, ...)
}
\arguments{
\item{x}{An object to be coerced/transformed/converted into another class}

\item{...}{Arguments passed on to other methods}

\item{multi}{logical; if \code{TRUE}, attempt to a \code{sfc_MULTIPOLYGON}, otherwise
a set of \code{sfc_POLYGON}. Default \code{FALSE}}
}
\value{
\itemize{
\item \code{fm_as_sfc}: An \code{sfc_MULTIPOLYGON} or \code{sfc_POLYGON} object
}

\itemize{
\item \code{fm_as_sfc}: An \code{sfc_MULTIPOLYGON} or \code{sfc_POLYGON} object
}
}
\description{
Conversion methods from mesh related objects to sfc
}
\section{Methods (by class)}{
\itemize{
\item \code{fm_as_sfc(inla.mesh)}: \ifelse{html}{\href{https://lifecycle.r-lib.org/articles/stages.html#experimental}{\figure{lifecycle-experimental.svg}{options: alt='[Experimental]'}}}{\strong{[Experimental]}}

\item \code{fm_as_sfc(fm_mesh_2d)}: \ifelse{html}{\href{https://lifecycle.r-lib.org/articles/stages.html#experimental}{\figure{lifecycle-experimental.svg}{options: alt='[Experimental]'}}}{\strong{[Experimental]}}

\item \code{fm_as_sfc(inla.mesh.segment)}: \ifelse{html}{\href{https://lifecycle.r-lib.org/articles/stages.html#experimental}{\figure{lifecycle-experimental.svg}{options: alt='[Experimental]'}}}{\strong{[Experimental]}}

\item \code{fm_as_sfc(fm_segm)}: \ifelse{html}{\href{https://lifecycle.r-lib.org/articles/stages.html#experimental}{\figure{lifecycle-experimental.svg}{options: alt='[Experimental]'}}}{\strong{[Experimental]}}

}}
\examples{
fm_as_sfc(fmexample$mesh)
fm_as_sfc(fmexample$mesh, multi = TRUE)

}
\seealso{
Other object creation and conversion: 
\code{\link{fm_as_fm}()},
\code{\link{fm_as_lattice_2d}()},
\code{\link{fm_as_mesh_1d}()},
\code{\link{fm_as_mesh_2d}()},
\code{\link{fm_as_segm}()},
\code{\link{fm_as_tensor}()},
\code{\link{fm_lattice_2d}()},
\code{\link{fm_mesh_1d}()},
\code{\link{fm_mesh_2d}()},
\code{\link{fm_segm}()},
\code{\link{fm_simplify}()},
\code{\link{fm_tensor}()}
}
\concept{fm_as}
\concept{object creation and conversion}
